package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class ExtraReportKV extends JceStruct {
    public String extraReportKey;
    public String extraReportParam;

    public ExtraReportKV() {
        super();
        this.extraReportKey = "";
        this.extraReportParam = "";
    }

    public ExtraReportKV(String arg2, String arg3) {
        super();
        this.extraReportKey = "";
        this.extraReportParam = "";
        this.extraReportKey = arg2;
        this.extraReportParam = arg3;
    }

    public final void readFrom(c arg3) {
        this.extraReportKey = arg3.b(0, true);
        this.extraReportParam = arg3.b(1, true);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.extraReportKey, 0);
        arg3.a(this.extraReportParam, 1);
    }

}

